[USRP-users] Vivado Version for fpga RFNoC Branch

Jonathon Pendlum jonathon.pendlum at ettus.com
Wed Mar 16 23:35:07 EDT 2016


You can install Vivado 2015.2 alongside of 2015.4.

It looks like you didn't flash your X310 with the correct image. What
command did you run to flash your X310?



Jonathon

On Wed, Mar 16, 2016 at 8:04 PM, Zhihong Luo <zhluo at umich.edu> wrote:

> Hi Jonathon,
>
> Okay, so I'll have to switch to 2015.2 for now, can I install 2015.2
> without deleting the 2015.4 version?
>
> I used uhd_images_downloader to get the image, and load the
> usrp_x300_fpga_HGS.bit into the x300. After that I ran uhd_usrp_probe
> --init-only, the output seems right.
>
> But when I used a simple GRC to test it, it ran into errors:
>
> linux; GNU C++ version 4.8.4; Boost_105400;
> UHD_003.010.rfnoc-316-gb7546712h
>
> Using Volk machine: sse4_2_64_orc
> -- X300 initialization sequence...
> -- Determining maximum frame size... 8000 bytes.
> -- Setup basic communication...
> =========================================================
> Warning:
> Expected FPGA compatibility number 1000, but got 20:
> ...
> RuntimeError: EnvironmentError: IOError: Radio ctrl (A) no response packet
> - AssertionError: bool(buff)
>   in uint64_t radio_ctrl_core_3000_impl::wait_for_ack(bool)
>   at /home/zhluo/uhd/host/lib/usrp/cores/radio_ctrl_core_3000.cpp:203
> ...
> RuntimeError: LookupError: IndexError: multi_usrp::mb_root(56238800) -
> vector::_M_range_check
>
> I assume it is because the fpga from the downloader is too old? So I have
> to make the usrp_x300_fpga_HGS.bit from source?
>
> Thanks,
> Zhihong
>>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/attachments/20160316/b8738d4b/attachment-0002.html>


More information about the USRP-users mailing list